Package org.apache.qpid.proton.codec.messaging

# Class FastPathPropertiesType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathPropertiesType

All Implemented Interfaces:
  `AMQPType<Properties>`, `FastPathDescribedTypeConstructor<Properties>`, `TypeConstructor<Properties>`

public class FastPathPropertiesType extends Object implements AMQPType<Properties>, FastPathDescribedTypeConstructor<Properties>

## Constructor Summary

Constructors
Constructor
Description
`FastPathPropertiesType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<Properties>>`
`getAllEncodings()`
`TypeEncoding<Properties>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<Properties>`
`getEncoding(Properties properties)`
`Class<Properties>`
`getTypeClass()`
`Properties`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(Properties value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathPropertiesType

public FastPathPropertiesType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### readValue

public Properties readValue()

Specified by:
  `readValue` in interface `TypeConstructor<Properties>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<Properties>`

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<Properties>`

### getTypeClass

public Class<Properties> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<Properties>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<Properties>`

### getEncoding

public TypeEncoding<Properties> getEncoding(Properties properties)

Specified by:
  `getEncoding` in interface `AMQPType<Properties>`

### getCanonicalEncoding

public TypeEncoding<Properties> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<Properties>`

### getAllEncodings

public Collection<? extends TypeEncoding<Properties>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<Properties>`

### write

public void write(Properties value)

Specified by:
  `write` in interface `AMQPType<Properties>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)